Autentikasi
Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin billing.view; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.
Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.
Coba
Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.
curl -X GET https://api.zinndigital.com/v1/refund-requests/{refundRequestId} \
-H "Authorization: Bearer zdk_live_…"Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API
Detail
Returns one refund request in scope, with its policy class, amount and outcome. Requires `billing.view`.
Parameter
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
refundRequestId (path) | Uuid | Ya | The refund request's id. |
Tanggapan
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
org_id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
order_id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
status | RefundRequestStatus | Ya | A refund request's lifecycle state (docs/05 §4.13). |
policy_class | RefundPolicyClass | Ya | How the refund policy classified a request (captured at request time). |
amount | MoneyAmount | Ya | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
to_wallet | boolean | Ya | Refund destination, frozen at request time — `false` (the default) reverses the original payment, `true` credits the account wallet. Any part of the order that was settled from… |
reason | string | Ya | — |
decided_by | string | Ya | — |
decision_note | string | Ya | — |
decided_at | object | Ya | — |
refund_reference | string | Ya | Set once the refund has been issued (its idempotency key). |
created_at | string | Ya | — |
updated_at | string | Ya | — |
Kesalahan yang dapat dikembalikan oleh titik akhir ini
401 · 403 · 404 · 429